cocoon-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Tobias Luikard <t.luik...@exxcellent.de>
Subject Re: cocoon 2 and tomcat 4
Date Tue, 25 Sep 2001 09:00:58 GMT
Hi,

I downloaded Cocoon RC 1 and Tomcat 4.0 final. There the same happens to me. It
tried all cominations

With Tomcat 4 I got allways the message:

org.apache.cocoon.ProcessingException: Exception in Handler:
org.apache.avalon.framework.component.ComponentException: Could not set up
Component for hint: org\apache\cocoon\www\sitemap_xmap

To run Cocoon2RC on Tomcat 3.2.3 I had to change the xerces_X_X_X.jar then it
worked.

Any hints for Tomcat 4??

Thanks

Tobi


Wes Morgan wrote:

> I am getting the same error on a clean install of both Tomcat 4.0 final
> and Cocoon 2.0rc1. I am running Debian GNU/Linux with IBM JDK 1.3. My
> CLASSPATH is also empty when compiling cocoon.war. Any help would be
> greatly appreciated.
>
> Wes Morgan
>
> Ed Nixon wrote:
>
> > At 08:02 PM 24/09/2001 -0400, Vadim Gritsenko wrote:
> >
> >> Work just fine if followed instructions in install.html document.
> >> Make sure you do have empty CLASSPATH when building cocoon.war.
> >>
> >> Vadim
> >
> >
> > Thanks, Vadim. I've read the Install file many times; followed the
> > instructions therein *and* blanked out my CLASSPATH as you suggest
> > while compiling cocoon.war. I get the same exception as always when I
> > first try to run the cocoon context. Here is the description:
> >
> > org.apache.cocoon.ProcessingException: Exception in Handler:
> > org.apache.avalon.framework.component.ComponentException: Could not
> > set up Component for hint: org\apache\cocoon\www\sitemap_xmap
> >
> > I wish I could say this even raised a hint of what to look for but it
> > doesn't.
> >
> > Any other suggestions would be very helpful.
> > Thanks.                             ...edN
> >
> >> > -----Original Message-----
> >> > From: Ed Nixon [mailto:ed.nixon@LynnParkPlace.org]
> >> > Sent: Monday, September 24, 2001 6:53 PM
> >> > To: cocoon-users@xml.apache.org
> >> > Subject: cocoon 2 and tomcat 4
> >> >
> >> >
> >> > Is there a combination of cocoon version 2 and tomcat 4 that works? On
> >> > Win2K with JVM /JRE 1.3.1?
> >> >
> >> > I've spent the day trying a number of options:
> >> > 1. tomcat4 win install as service with cocoon2 rc1
> >> > 2. tomcat4 zip in console with cocoon2 rc1 and b2
> >> > 3. tomcat323 in console with cocoon 2 rc1
> >> >
> >> > The tomcat 4 win install release code with cocoon2 rc1 causes cocoon to
> >> > generate an exception concerning sitemap configuration failure. I can
> >> > provide more detailed information if this is actually news to the list;
> >> > please let me know.
> >> >
> >> > However, I'd just like to get something working. At least until
> >> Cocoon2 is
> >> > released in final form (whenever that is.)
> >> >
> >> > Thanks for your help.                    ...edN
> >
> >
> >
> >
> >
> > ---------------------------------------------------------------------
> > Please check that your question has not already been answered in the
> > FAQ before posting. <http://xml.apache.org/cocoon/faqs.html>
> >
> > To unsubscribe, e-mail: <cocoon-users-unsubscribe@xml.apache.org>
> > For additional commands, e-mail: <cocoon-users-help@xml.apache.org>
>
> ---------------------------------------------------------------------
> Please check that your question has not already been answered in the
> FAQ before posting. <http://xml.apache.org/cocoon/faqs.html>
>
> To unsubscribe, e-mail: <cocoon-users-unsubscribe@xml.apache.org>
> For additional commands, e-mail: <cocoon-users-help@xml.apache.org>





---------------------------------------------------------------------
Please check that your question has not already been answered in the
FAQ before posting. <http://xml.apache.org/cocoon/faqs.html>

To unsubscribe, e-mail: <cocoon-users-unsubscribe@xml.apache.org>
For additional commands, e-mail: <cocoon-users-help@xml.apache.org>


Mime
View raw message